DecoderException

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javazoom.jl.decoder
Class DecoderException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javazoom.jl.decoder.JavaLayerException
                  javazoom.jl.decoder.DecoderException

All Implemented Interfaces:
  DecoderErrors, JavaLayerErrors, java.io.Serializable

public class DecoderException
extends JavaLayerException
implements DecoderErrors

The `DecoderException` represents the class of errors that can occur when decoding MPEG audio.

See Also:
  Serialized Form

Field Summary

Fields inherited from interface javazoom.jl.decoder.DecoderErrors
`UNKNOWN_ERROR, UNSUPPORTED_LAYER`

Fields inherited from interface javazoom.jl.decoder.JavaLayerErrors
`BITSTREAM_ERROR, DECODER_ERROR`

Constructor Summary
`DecoderException(int errorcode, java.lang.Throwable t)`
`DecoderException(java.lang.String msg, java.lang.Throwable t)`

Method Summary
`int` | `getErrorCode()`
`static java.lang.String` | `getErrorString(int errorcode)`

Methods inherited from class javazoom.jl.decoder.JavaLayerException
`getException, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DecoderException

    public DecoderException(java.lang.String msg,
                            java.lang.Throwable t)

### DecoderException

    public DecoderException(int errorcode,
                            java.lang.Throwable t)

Method Detail

### getErrorCode

    public int getErrorCode()

### getErrorString

    public static java.lang.String getErrorString(int errorcode)

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

JavaZOOM 1999-2005